Skip to content

Connect GitHub with the code from its redirect

POST
/v1/github/connect
curl --request POST \
--url https://app.skillpouch.net/v1/github/connect \
--header 'Content-Type: application/json' \
--data '{ "code": "example" }'

Keeps only installations GitHub lists for the authorizing user: their own account or organizations they administer.

Media typeapplication/json
object
code
required
string
>= 1 characters <= 200 characters

Example generated

{
"code": "example"
}

Default Response

Media typeapplication/json
object
ok
required
boolean
data
required
object
connections
required
Array<object>
object
installation_id
required
integer
>= -9007199254740991 <= 9007199254740991
account
required
string
type
required
string
Allowed values: User Organization
meta
required
object
request_id
required
string
next_cursor
string | null

Example

{
"ok": true,
"data": {
"connections": [
{
"type": "User"
}
]
}
}